Skip to main content
POST
Create a new segment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
conditionsData
Conditions data · object
required

Conditions according to which visitors will be segmented

name
string
required

Name of the segment

Example:

"My segment"

segmentType
enum<string>
required

Segment type refers to the classification of segments based on their usage.

Available options:
STANDARD,
KEY_MOMENT,
FEATURE_FLAG,
ALL
siteId
integer<int64>
required

Site Id of the project where the segment is created

Example:

8372

audienceTracking
boolean

Specifies whether the segment is tracking an audience.

conditionDataList
Conditions data node · object[]

Conditions by which visitors will be segmented in list form

conditionDataTree
Conditions data level · object

Conditions by which visitors will be segmented in tree form

description
string

Description of the segment

Example:

"The segment is for new ab tests"

isFavorite
boolean

Indicates whether the segment has been marked as a favorite.

tags
string[]
userVisible
boolean

Indicates whether the segment has been marked as hidden from the user

Response

Created

conditionsData
Conditions data · object
required

Conditions according to which visitors will be segmented

name
string
required

Name of the segment

Example:

"My segment"

segmentType
enum<string>
required

Segment type refers to the classification of segments based on their usage.

Available options:
STANDARD,
KEY_MOMENT,
FEATURE_FLAG,
ALL
siteId
integer<int64>
required

Site Id of the project where the segment is created

Example:

8372

audienceTracking
boolean

Specifies whether the segment is tracking an audience.

audienceTrackingEditable
boolean
read-only

This flag shows if audienceTracking can be enabled/disabled. In some cases, audienceTracking cannot be disabled. E.g. a segment has predictive conditions, such segments are tracked by default.

conditionDataList
Conditions data node · object[]

Conditions by which visitors will be segmented in list form

conditionDataTree
Conditions data level · object

Conditions by which visitors will be segmented in tree form

createdBy
integer<int64>
read-only

Account Id of the creator of the segment

dateCreated
string<date-time>
read-only

Date when the segment was created

dateModified
string<date-time>
read-only

Date when the segment was modified

description
string

Description of the segment

Example:

"The segment is for new ab tests"

experimentAmount
integer<int64>
read-only

Number of experiments using this segment. This is an optional field that is included in the request body

experiments
integer<int64>[]
read-only

List of experiment ids using this segment. This is an optional field that is included in the request body

featureFlagAmount
integer<int64>
read-only

Number of feature flags being used in this goal. This is an optional field that must be specified in request params.

hasSegmentCondition
boolean
read-only

Indicates if the segment has conditions

id
integer<int64>
read-only

Unique Id of the segment

isFavorite
boolean

Indicates whether the segment has been marked as a favorite.

List of links to related entities.This is an optional field that is included in the request body.

personalizationAmount
integer<int64>
read-only

Number of personalizations using this segment. This is an optional field that is included in the request body

personalizations
integer<int64>[]
read-only

List of personalization ids using this segment. This is an optional field that is included in the request body

tags
string[]
usedBySegmentCondition
boolean
read-only
userVisible
boolean

Indicates whether the segment has been marked as hidden from the user